[Overview][Constants][Classes][Index] | Reference for unit 'streamex' (#fcl)

# TTextReader.Eof

Check whether the end of the text data is returned.

## Declaration

Source position: streamex.pp line 97

`public property TTextReader.Eof : Boolean read IsEof;`

## Description

Eof is True if no more data is available for reading. If there is still data, then it is False.

## See also

TTextReader.ReadLine |  | Read a line of text